Summary: bash base library
Name: bash-base
Version: 0.2
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: bash

%description
A library that provides a set of base functionality like logging and
error handling. To use it just source it at the very beginning of your
bash script like that:

source /usr/libexec/bash-base/bash-base.bash || {
    echo "$0: fatal error: failed to source bash-base.bash"
    exit 1
}

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{libexec/%{name},share/doc/%{name}-%{version}}
cp -a libexec/* $RPM_BUILD_ROOT/usr/libexec/%{name}/.
cp -a doc/* $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/libexec/bash-base/base.bash
%doc /usr/share/doc/%{name}-%{version}




